issue updating firmware on Yealink and Cisco handsets

Discussion in '3CX Phone System - General' started by bunter12345, Jan 20, 2015.

Thread Status:
Not open for further replies.
  1. bunter12345

    Joined:
    Mar 31, 2011
    Messages:
    5
    Likes Received:
    0
    I am having trouble with doing firmware updates on Yealink and Cisco handsets. I have uploaded the new firmware to the provisioning/firmware directories under Yealink, I have also tried creating directories called T28, T28P and T28PN and putting the firmware in those folders but whenever I select a phone and upgrade firmware I just see a generic older version that seems to have come with the 3CX system. I am unable to select the newer versions of firmware that I have uploaded.

    Has anyone else come across this issue?

    Many Thanks
     
  2. pj3cx

    pj3cx Active Member

    Joined:
    Aug 1, 2013
    Messages:
    645
    Likes Received:
    1
    Hi there,

    Kindly note that starting from v12 you have in the Phones page a button Upgrade firmware, which will always propose the latest supported version for your handset and download file from our repository and upgrade your phone on demand. You need a valid Maintenance in order to use this functionnality.

    Therefore you don't need to put any files manually in the provisioning folder.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. jasit

    jasit New Member

    Joined:
    Feb 12, 2013
    Messages:
    171
    Likes Received:
    1
    @PJ3cx Do the files that you automatically download include the multicast feature from yealink. In the past they did not, so I was forced to use different firmware then the suggested.


    So on the version 11 server I would hardcode the firmware that I wanted the templates to use.
    {IF network=LOCALLAN}
    {IF model=Yealink T32}
    firmware.url = http://%%pbx_ip%%:%%pbx_http_port%%/provisioning/firmware/T32/32.70.0.198.rom
    {ENDIF}
    {IF model=Yealink T38}
    firmware.url = http://%%pbx_ip%%:%%pbx_http_port%%/provisioning/firmware/T38/38.70.1.6.rom
    {ENDIF}
    {ENDIF}
     
  4. pj3cx

    pj3cx Active Member

    Joined:
    Aug 1, 2013
    Messages:
    645
    Likes Received:
    1
    Current supported version for T3x series is higher than the ones you mentionned.
    However there are known issues on the multicast on yealink T3x (discontinued products) and our templates does not include any settings on this matter, while they do for T2x and T4x.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. jasit

    jasit New Member

    Joined:
    Feb 12, 2013
    Messages:
    171
    Likes Received:
    1
    we use multicast paging in our office, that's why I had to force which firmware they use. It was a shame about the T3x series, they were their first color dual port gigabit poe phone, lots of minor issues when we first got them, but yealink sorted it out. I haven't had any issues with them for the last six months.
     
Thread Status:
Not open for further replies.